| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC2423A.ino File Reference
Switching Regulators, Battery Chargers, and LED Drivers » LTM9100: Anyside™ High Voltage Isolated Switch Controller with I²C Command and Telemetry.

Linear Technology DC2423A Demonstration Board. More...

## Detailed Description

Linear Technology DC2423A Demonstration Board.

LTM9100: Anyside™ High Voltage Isolated Switch Controller with I²C Command and Telemetry

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.

    USER INPUT DATA FORMAT:
     decimal : 1024
     hex     : 0x400
     octal   : 02000  (leading 0 "zero")
     binary  : B10000000000
     float   : 1024.0

http://www.linear.com/product/LTM9100

http://www.linear.com/product/LTC9100#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC2423A.ino.

Go to the source code of this file.

## Functions
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...
static void | print_warning_prompt ()
| Prints a warning if the demo board is not detected. More...
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
static int8_t | menu_read_status ()
static int8_t | ask_clear_set_bit (uint8_t i2c_address, uint8_t register_address, uint8_t bit_number)
static int8_t | menu_read_write_faults_alerts (bool alerts)
static int8_t | menu_read_write_controls ()
static void | set_adc_scaling_factor (float *data)
static int8_t | menu_read_write_adc_params ()

## Variables
static float | sense_resistor = 0.008
static float | adin_gain = 0.035
static float | adin2_gain = 0.035
static uint8_t | i2c_address = 0x10

## Function Documentation

## ◆ ask_clear_set_bit()

static int8_t ask_clear_set_bit | ( | uint8_t | i2c_address,
|  | uint8_t | register_address,
|  | uint8_t | bit_number
| ) |  |
| static

Definition at line 367 of file DC2423A.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 91 of file DC2423A.ino.

## ◆ menu_read_status()

static int8_t menu_read_status | ( |  | ) |
| static

Definition at line 297 of file DC2423A.ino.

## ◆ menu_read_write_adc_params()

static int8_t menu_read_write_adc_params | ( |  | ) |
| static

Definition at line 601 of file DC2423A.ino.

## ◆ menu_read_write_controls()

static int8_t menu_read_write_controls | ( |  | ) |
| static

Definition at line 481 of file DC2423A.ino.

## ◆ menu_read_write_faults_alerts()

static int8_t menu_read_write_faults_alerts | ( | bool | alerts | ) |
| static

Definition at line 381 of file DC2423A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Definition at line 278 of file DC2423A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 264 of file DC2423A.ino.

## ◆ print_warning_prompt()

static void print_warning_prompt | ( |  | ) |
| static

Prints a warning if the demo board is not detected.

Definition at line 258 of file DC2423A.ino.

## ◆ set_adc_scaling_factor()

static void set_adc_scaling_factor | ( | float * | data | ) |
| static

Definition at line 592 of file DC2423A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 77 of file DC2423A.ino.

## Variable Documentation

## ◆ adin2_gain

float adin2_gain = 0.035
| static

Definition at line 73 of file DC2423A.ino.

## ◆ adin_gain

float adin_gain = 0.035
| static

Definition at line 72 of file DC2423A.ino.

## ◆ i2c_address

uint8_t i2c_address = 0x10
| static

Definition at line 74 of file DC2423A.ino.

## ◆ sense_resistor

float sense_resistor = 0.008
| static

Definition at line 71 of file DC2423A.ino.